文档

使用限制

更新时间:

集群版本说明

仅支持集群版本:K8s version ≥ 1.16 。

集群连通性说明

自建集群需保证集群公网连通性,如有白名单限制需添加云效 AppStack 公网IP:47.98.185.51、47.93.89.246、47.94.150.17,其中47.98.185.51 出口用于 AppStack 应用部署链路,47.93.89.246、47.94.150.17 出口用于复用 Flow 流水线能力实现集群Agent安装 。

OAM 版本兼容性问题

AppStack 使用 KubeVela 1.0.7实现基于 Open Application Model (OAM) 的部署能力增强,请确保集群中未安装不兼容的 OAM runtime(包括但不限于Rudr、Kubevela 1.1.0或更高版本);特别地,如果检测到集群中存在阿里云 EDAS runtime,AppStack 将不再尝试安装 KubeVela 1.0.7。

以 kubeconfig 凭证方式导入 Kubernetes 集群,当前仅支持单集群的 kubeconfig 导入

AppStack 支持以 kubeconfig 凭证方式导入任意 Kubernetes 集群,但是,当前版本仅支持单集群的 kubeconfig ,不支持多集群的 kubeconfig 导入。我们将在后续版本中优化此限制。参见更多 kubeconfig 说明

在 AppStack 中使用阿里云容器服务 ASK 类型的集群存在偶发性异常

建议使用 ACK 类型的集群获得完整功能。如果遇到异常现象,请提交技术支持工单联系 AppStack 产品研发团队进行问题排查。

  • 本页导读 (0)